import { EventEmitter } from '@angular/core';
import { PoModalComponent, PoNotificationService } from '@po-ui/ng-components';
import { NgxImageCompressService } from 'ngx-image-compress';
import { SessionIdApi } from '../../../core/https/session-id.api';
import { SignalRService } from '../../../core/services';
import { ButtonDocumentModel, DocumentResponse, DocumentModel } from '../../../shared/models';
import * as i0 from "@angular/core";
export declare class TotvsVisionOcrListComponent {
    private signalRService;
    private sessionIdApi;
    private poNotificationService;
    private imageCompress;
    idTotvsVision: string;
    idProjeto: string;
    listButtonsDocument: Array<ButtonDocumentModel>;
    informacaoEnviada: EventEmitter<{
        menssagem: Array<DocumentResponse>;
        uniqueKey: number;
    }>;
    loading: boolean;
    screenLock: boolean;
    sessionID: string | null;
    sessionTimeLeft: string;
    myAngularxQrCode: string;
    countdownInterval: any;
    documentos: (DocumentModel | null)[];
    documentosName: string[];
    selectedButtons: number[];
    ngOnDestroy(): void;
    ngOnInit(): void;
    private initializeSignalRConnection;
    private joinSession;
    listModal?: PoModalComponent;
    openListModal(): void;
    closeListModal(): void;
    constructor(signalRService: SignalRService, sessionIdApi: SessionIdApi, poNotificationService: PoNotificationService, imageCompress: NgxImageCompressService);
    validateSession(): void;
    getShortFileName(fileName: string | undefined): string;
    onFileSelected(event: any, buttonDocumentModel: ButtonDocumentModel, index: number): void;
    private compressImage;
    enviarImagens(): Promise<void>;
    limparImagens(): void;
    onCheckboxChange(checked: boolean, index: number): void;
    isSelected(index: number): boolean;
    clearSelection(): void;
    getSessionID(): void;
    private startCountdown;
    private clearSessionID;
    triggerFileInput(index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TotvsVisionOcrListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TotvsVisionOcrListComponent, "totvs-vision-ocr-list", never, { "idTotvsVision": { "alias": "idTotvsVision"; "required": false; }; "idProjeto": { "alias": "idProjeto"; "required": false; }; "listButtonsDocument": { "alias": "listButtonsDocument"; "required": false; }; }, { "informacaoEnviada": "informacaoEnviada"; }, never, never, true, never>;
}
